/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.system;

import net.ranides.assira.trace.TraceUtils;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class RuntimeUtilsTest {
    
    public RuntimeUtilsTest() {
    }

    @Test
    public void testInvokedInsideMaven() {
        assertTrue( RuntimeUtils.invokedInsideMaven() );
    }
    
    @Test
    public void testInvokedInsideSingleTest() {
        // we have to check that manually
        System.err.printf("RuntimeUtils.invokedInsideSingleTest = %s%n", RuntimeUtils.invokedInsideSingleTest());
        assertTrue(true);
    }
    
}
